Subject: [Sigtran] Re: [Tsvwg] Re: "DO IT RIGHT", or "DON'T DO IT AT ALL" (fwd)

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sat, 14 Dec 2002 12:22:40 -0700

Sam,

On Sat, 14 Dec 2002, Sam Liang wrote:

> > 
> > Sam,
> > 
> > On Fri, 13 Dec 2002, Sam Liang wrote:
> > 
> > > 
> > > 
> > > By mistake, I didn't cc the following reply to Mark's email to the mailing
> > > list.  Here you go.  -- Sam
> > > 
> > >  
> > >    My problem with SCTP is that there is no major application that is dying
> > >  for its features.  Maybe there is some applications that may work a little
> > >  better with some functionalities SCTP provides, but that's not a valid
> > >  motivation to start from scratch to reinvent everything TCP already
> > >  does and then adds a couple of new features.
> > >  
> > >    Should we create a new protocol whenever we want to do something a bit
> > >  new?  There are many ways to meet new requirements, inventing a new
> > >  protocol is not necessary the right one, especially when the current
> > >  protocol works pretty well.
> > 
> >   ;)
> > 
> > Are you saying that many engineers wasted the last 3 or 4 years of their
> > lives, even paid by their employers to do so, in developing RFC 2960?
> > (Many of them the last thing they did before their pink slip?)
> 
>   I respect the intellectual effort, and I think it probably helps us
> understand many issues better.  However, although it may be a worthwhile
> academic research project, it doesn't mean it's necessarily a practical
> approach, and I don't see how SCTP is taking over the world.
> 
>   As Joe noted earlier in the thread, ATM attracted tremendous attension a
> few years back and it was claiming to take over the world. But you don't
> hear all that any more and what's the most popular today are IP and Ethernet.
> 
> > 
> > Ever hear of SIGTRAN?  Ever hear of RT-CORBA?  Ever hear of IPS?  Gee, ever
> > hear of SIP?  Ever hear of MEGACO?  Ever hear of RDDP?  Ever hear of
> > RSERPOOL?
> 
>   Do they have to use SCTP or die?
> 
>   As I see it, all of these can be supported by TCP or a slight extension
> to TCP. 

Please, come over to the SIGTRAN WG list and explain how TCP can be
used and SCTP is not necessary.

--brian

> > 
> > Ever hear of the USAF?
> > 
> > No applications -- humbug! -- SCTPs problem might be that it has too many
> > applications demanding it.
> > 
> > Where have you been?  The Twilight Zone?
> 
>   So all the people who fail to jump on the SCTP bandwagon are in the
> Twilight Zone?
> 
> Sam
> 
> > 
> > (Oh, I see: Stanford; so you don't know what's happening at Temple University,
> > the University of Delaware, the University of Essen, ...).
> > 
> >   ;)
> > 
> > --brian
> > 
> > -- 
> > Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
> > [email-masked]    ¦ world; the unreasonable one persists in  ¦
> > http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
> >                         ¦ Therefore  all  progress  depends on the ¦
> >                         ¦ unreasonable man. -- George Bernard Shaw ¦
> > 
> 

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran